For the complete documentation index, see llms.txt. This page is also available as Markdown.

List documents

Lists all documents based on filter criteria.

get
Path parameters
productIdstringRequired
Responses
200

OK

application/json
get/public/v1/catalog/products/{productId}/documents
GET /public/v1/catalog/products/{productId}/documents HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "revision": 1,
      "type": "text",
      "description": "text",
      "status": "text",
      "filename": "text",
      "size": 1,
      "contentType": "text",
      "url": "text",
      "language": "text",
      "product": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "status": "text"
      }
    }
  ]
}

Last updated

Was this helpful?